This service will be undergoing maintenance at 03:30 UTC, 2016-05-27. It is expected to last about 2 hours
Bug 445433 - A deadlock can occur between mmap/munmap and journaling(ext3).
A deadlock can occur between mmap/munmap and journaling(ext3).
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
high Severity high
: rc
: ---
Assigned To: Josef Bacik
Red Hat Kernel QE team
:
: 453107 (view as bug list)
Depends On:
Blocks: KernelPrio5.3 476224 483701 485920
  Show dependency treegraph
 
Reported: 2008-05-06 16:18 EDT by Josef Bacik
Modified: 2010-10-22 20:46 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:24:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to resolve the deadlock (7.11 KB, patch)
2008-08-28 14:21 EDT, Josef Bacik
no flags Details | Diff

  None (edit)
Comment 2 Josef Bacik 2008-06-27 14:56:32 EDT
*** Bug 453107 has been marked as a duplicate of this bug. ***
Comment 5 Josef Bacik 2008-08-28 14:21:56 EDT
Created attachment 315277 [details]
patch to resolve the deadlock

This is the rhel5 version of this patch, I tested it with the reproducer given to me by fujitsu and it resolves the problem.
Comment 6 Don Zickus 2008-09-10 16:13:54 EDT
in kernel-2.6.18-110.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 18 RHEL Product and Program Management 2009-02-10 15:50:12 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 19 RHEL Product and Program Management 2009-02-16 10:09:48 EST
Updating PM score.
Comment 20 Peter Martuccelli 2009-02-17 11:18:21 EST
Removed 439548 from the depends on field as it causes problems with the R5.4 prioritized kernel list query.
Comment 21 Jiri Skrabal 2009-03-13 08:41:05 EDT
Nacking 5.3.z proposal. The patchset consists of 24 individual patchset and it is too intrusive to pull it into 5.3.z.

If still confident about 5.3.z needs, please contact Linda Wang to clarify.

Jiri
Comment 27 Chris Ward 2009-07-03 14:02:40 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 28 Chris Ward 2009-07-10 15:04:44 EDT
~~ Attention Partners - RHEL 5.4 Snapshot 1 Released! ~~

RHEL 5.4 Snapshot 1 has been released on partners.redhat.com. If you have already reported your test results, you can safely ignore this request. Otherwise, please notice that there should be a fix available now that addresses this particular request. Please test and report back your results here, at your earliest convenience. The RHEL 5.4 exception freeze is quickly approaching.

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Do not flip the bug status to VERIFIED. Instead, please set your Partner ID in the Verified field above if you have successfully verified the resolution of this issue. 

Further questions can be directed to your Red Hat Partner Manager or other appropriate customer representative.
Comment 30 Jan Tluka 2009-07-20 12:24:13 EDT
Patchset is in -158.el5.
Comment 33 errata-xmlrpc 2009-09-02 04:24:35 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.